function z=ZeroRestrictions(a,nvar,nzeros,npredetermined,nlag,Z)

ZF=ZIRF(a,nvar,npredetermined,nlag,0,Z);

z=zeros(nzeros,1);
k=1;
for i=1:nvar
    s=size(ZF{i},1);
    z(k:k+s-1)=ZF{i}(:,i);
    k=k+s;
end